// This file is part of the "Erik+2" program
/*
This code has been written by M. Casanellas and J. Fernandez-Sanchez. 
Please quote the paper "Invariant versus classical quartet inference when evolution is heterogeneous across sites and lineages", Sys. Bio. doi:10.1093/sysbio/syv086 .
*/

#if ! defined (TYPEDEFS_H) 
#define TYPEDEFS_H

/* the headers and typedefs used throughout the code */

#include <map>
#include <vector>
#include <iostream>

using namespace std;
typedef map<string,string> SShash;
typedef map<string,int> SIhash;
typedef vector<int> split;

extern int VERBOSITY;
extern unsigned int NUM_SPECIES;

#endif
